Skip to main content

Topic: Advanced Controls (foo_advancedcontrols) (Read 146471 times) previous topic - next topic

0 Members and 1 Guest are viewing this topic.
  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Hi all.

I just updated foo_advancedcontrols with the latest SDK.

I took the time to implement a function available in the Winamp version of this plugin but was missing in the Foobar2000 component - the Volume bar.

You can choose if you want the volume bar or the seeking bar to be shown on top of the control icons. You can assign a hotkey to switch between the volume and the seeking bar.

I also added a brand new function that may not completely fit in the Advanced Controls concept, but, well... why create a new component just for that? The function is an option to automatically pause the playback when entering screensaver mode. I find that very useful. Maybe that's not the case for everyone, so this option is disabled by default.

http://www.niversoft.com/products/fac (official page)
or
http://pelit.koillismaa.fi/plugins/show.php?id=138

Enjoy!
  • Last Edit: 20 December, 2006, 12:18:30 AM by niver

  • Russell777
  • [*][*][*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #1
Thank you very much for this component!
Two problems:
1-the volume slider being reset to position slider after every foobar restart,no matter what i do
2-where should i put the skins files?
Favourite artist:CD-R
Favourite album:700MB

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #2
1- This is fixed for the next release, thanks
2- The folder tree is available in the zip file. You will get something like
Foobar2000
  -- components
  -- --  foo_advancedcontrol.dll
  -- --  AdvancedControls
  -- -- --  BlueXP
  -- -- -- --  [icon files]
  -- -- --  SilverXP
  -- -- -- --  [icon files]

Thank you very much for this component!
Two problems:
1-the volume slider being reset to position slider after every foobar restart,no matter what i do
2-where should i put the skins files?

Advanced Controls (foo_advancedcontrols)
Reply #3
thanks for the plugin.but i've found a UI problem that the "seek slider" and "volume slider" radio button can be checked in the same time,and when you checked you can not cancel

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #4
Thanks, I was aware of this and it's fixed for the next release

thanks for the plugin.but i've found a UI problem that the "seek slider" and "volume slider" radio button can be checked in the same time,and when you checked you can not cancel

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #5
v0.5.9.3 is now available.

Release notes:
- Fixed: Slider setting is not saved
- Fixed: Slider setting radio buttons are broken

http://www.niversoft.com/products/fac (official page)
or
http://pelit.koillismaa.fi/plugins/show.php?id=138
  • Last Edit: 20 December, 2006, 12:18:01 AM by niver

Advanced Controls (foo_advancedcontrols)
Reply #6
Great Plug In, Must Have!!

but I'm still having Slider setting issues, still doesn't save.
No big deal, just thought I'd let ya know.
Sooo, glad the volume was enable,answer to my prayers;


Peace
  • Last Edit: 26 February, 2007, 12:12:30 AM by ExtensionArt

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #7
I'm sorry you have issues with the component not saving the Slider setting, but this is a problem I can't reproduce. The slider setting is saved correctly on all my test machines.

Please make sure you are using the latest version of the component.

Great Plug In, Must Have!!

but I'm still having Slider setting issues, still doesn't save.
No big deal, just thought I'd let ya know.
Sooo, glad the volume was enable,answer to my prayers;


Peace

Advanced Controls (foo_advancedcontrols)
Reply #8
I'm sorry you have issues with the component not saving the Slider setting, but this is a problem I can't reproduce. The slider setting is saved correctly on all my test machines.

I am also having this problem. I tried removing my foobar2000.cfg file, but the problem persisted. I also tried removing foo_advancedcontrols.dll, starting Foobar2000, answering that I did not want my settings from the disabled component saved, then reinstalling the DLL.

I'd love to have the volume slider. That's the main reason I want the component. Is there anything I can do to help you track down this issue?

Oh, I forgot to mention, I am using the latest version of the component.
  • Last Edit: 08 March, 2007, 04:53:35 PM by David Rothenberger

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #9

I'm sorry you have issues with the component not saving the Slider setting, but this is a problem I can't reproduce. The slider setting is saved correctly on all my test machines.

I am also having this problem. I tried removing my foobar2000.cfg file, but the problem persisted. I also tried removing foo_advancedcontrols.dll, starting Foobar2000, answering that I did not want my settings from the disabled component saved, then reinstalling the DLL.

I'd love to have the volume slider. That's the main reason I want the component. Is there anything I can do to help you track down this issue?

Oh, I forgot to mention, I am using the latest version of the component.


Since this component is a port of the equivalent Winamp plugin, it doesn't use yet the standard Foobar2000 way to store its parameters (foobar2000.cfg), it stores them in the registry. This will probably be changed later.

Try removing the key
HKEY_CURRENT_USER\Software\Niversoft\FooBar2000 Advanced Controls
from the registry
There should be a value named VolumeSlider in it (REG_DWORD). 1=volume, 0=seek.

NH

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #10

I'm sorry you have issues with the component not saving the Slider setting, but this is a problem I can't reproduce. The slider setting is saved correctly on all my test machines.

I am also having this problem. I tried removing my foobar2000.cfg file, but the problem persisted. I also tried removing foo_advancedcontrols.dll, starting Foobar2000, answering that I did not want my settings from the disabled component saved, then reinstalling the DLL.
[...]


I did additional tests while checking for the changes required to go to the standard foobar200 way to store config. I found out that we were both right about the volume slider config, I wasn't testing the right thing:

The volume slider config is saved. If you choose Volume slider, you close and reopen foobar then press play, the volume slider is shown.

However, both the config page and the submenu item does not display the current setting, they always display Seek slider. This is fixed in the upcoming release (the announcement will come later today or this week).

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #11
v0.5.9.4 is now available.

Release notes:
- Fixed: Slider setting is not displayed correctly in the config page
- Settings are now saved in foobar2000.cfg instead of the registry. Previous version's settings are automatically imported then deleted from the registry.

http://www.niversoft.com/products/fac (official page)
or
http://pelit.koillismaa.fi/plugins/show.php?id=138

  • dubpistol
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #12
I just noticed the delete-current-file-function. Fantastic!
AFAIK is this the only possibility to delete the playing song and jump to the next. Like the old massdelete-plugin for v8.x
I would love to see a standalone delete-current-file-plugin 

Great Plugin. Thank You.

  • Chaser
  • [*][*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #13
I second this request. Thank you for your development!

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #14
I just noticed the delete-current-file-function. Fantastic!
AFAIK is this the only possibility to delete the playing song and jump to the next. Like the old massdelete-plugin for v8.x
I would love to see a standalone delete-current-file-plugin 

Great Plugin. Thank You.


Your wish is my command... well... sort of.

Here comes the Delete Current Track component for Foobar2000:
http://www.niversoft.com/downloads/foo_DeleteCurrent.zip

Have fun.

  • dubpistol
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #15
Your wish is my command... well... sort of.

Woooow. Thank You. Thank You. Thank You. 

That was the only thing i missed. Now fb2k is perfect. This plugin is worth an own thread. I think there are some other guys who would like this.

Thanks again

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #16
Your wish is my command... well... sort of.

This plugin is worth an own thread. I think there are some other guys who would like this.

Thread: http://www.hydrogenaudio.org/forums/index....showtopic=53305

Advanced Controls (foo_advancedcontrols)
Reply #17
Really like this component, thank you!

I've downloaded some of the extra icon skins listed under the foobar version of this component, but they want to have winamp installed and won't proceed. Any chance of having dedicated foobar versions of them?

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #18
Really like this component, thank you!

I've downloaded some of the extra icon skins listed under the foobar version of this component, but they want to have winamp installed and won't proceed. Any chance of having dedicated foobar versions of them?

You're right, I overlooked that.

It's now fixed:
http://www.niversoft.com/downloads/?p=fsk

  • GeSomeone
  • [*][*][*][*][*]
  • Moderator
Advanced Controls (foo_advancedcontrols)
Reply #19
v0.5.9.4 is now available.

The downloadable version is still 0.5.9.3 (english)
In theory, there is no difference between theory and practice. In practice there is.

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #20

v0.5.9.4 is now available.

The downloadable version is still 0.5.9.3 (english)


Your browser or an upstream proxy may have cached an old version of the file, the available package files are verified 0.5.9.4 (unless you downloaded it from an alternate location which I don't control).

  • GeSomeone
  • [*][*][*][*][*]
  • Moderator
Advanced Controls (foo_advancedcontrols)
Reply #21
Your browser or an upstream proxy may have cached an old version of the file, the available package files are verified 0.5.9.4

Tnx, it was apparently cached for 2 or 3 days here, but it's OK now.
In theory, there is no difference between theory and practice. In practice there is.

  • niver
  • [*][*][*]
Advanced Controls (foo_advancedcontrols)
Reply #22
Update to v0.5.9.4

The component is now available in several new languages (on the official page only)

English
Français
Deutsch
Español
Italiano
简体字 (Simplified Chinese)
Русская (Russian)
Cesky
Dansk
Eesti keel
Greek
Macedonian
Magyar
Nederlands
Polski
Português (do Brasil)
Romana
Slovensky
Swedish

http://www.niversoft.com/products/fac (official page)
or
http://pelit.koillismaa.fi/plugins/show.php?id=138
  • Last Edit: 17 April, 2007, 03:29:58 PM by niver

Advanced Controls (foo_advancedcontrols)
Reply #23
This plugin has always been great, thanks a lot!

  • GeSomeone
  • [*][*][*][*][*]
  • Moderator
Advanced Controls (foo_advancedcontrols)
Reply #24
Hi, I noticed that the version information in foobar2000 was corrupt in the 9 april dll.
In theory, there is no difference between theory and practice. In practice there is.